Custody providers

Get Entity Fireblocks Config Status

Returns keypair, API-key and vault presence flags plus vault ID for an entity's Fireblocks config.

GEThttps://api.toku.com/tga/get-entity-fireblocks-config-status

Required scope: integrations:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-entity-fireblocks-config-status?payrollIntegrationEntityId=%3CpayrollIntegrationEntityId%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "hasIntegration": true,
  "hasGeneratedKeyPair": true,
  "hasApiKey": true,
  "isConfigured": true,
  "vaultAccountId": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

payrollIntegrationEntityIdstring<uuid>required

Response

200Successful response
hasIntegrationboolean | null
hasGeneratedKeyPairboolean | null
hasApiKeyboolean | null
isConfiguredboolean | null
vaultAccountIdstring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits